using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using com.hnshituo.core.webapp.vo;

namespace Common
{
    public class MeterBaseTermTareTimeService
    {
        public RESTfulResult<List<MeterBaseTermTareTime>> doQueryWf(MeterBaseTermTareTime info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterBaseTermTareTime>>> rm = db.doOption<PageList<List<MeterBaseTermTareTime>>>("meterbasetermtaretimes", "/", new object[] { info }, 0);

            RESTfulResult<List<MeterBaseTermTareTime>> result = new RESTfulResult<List<MeterBaseTermTareTime>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Data != null && rm.Data.list != null && rm.Data.list.Count > 0)
            {
                result.Data = rm.Data.list;
            }
            return result;
        }

    }
}
